Actions » PUT

URL:

http://my.vitalist.com/services/api/actions/

Method:

PUT

Description:

This API call updates an action(s) and associated information from your lists.

Required Parameters:

item_id - id of the action.
body - the description of the action.

Optional Parameters:

list_id - limits the resulting output to that specific list. 1 = Inbox; 2 = Actions; 3 = Waiting; 4 = Someday; 5 = Ticklers; 6 = Reference.
priority - 0 = None; 1 = Low; 2 = Medium; 3 = High.
due_date - must be in the following format: YYYY-MM-DD.
complete_date - must be in the following format: YYYY-MM-DD.
contexts - multiple contexts allowed.
project - include the project_id.
contact - include the contact_id.

Example Request

<?xml version="1.0" encoding="UTF-8"?> <request> <api_key>asdf1234</api_key> <items> <item> <item_id>100001</item_id> <body>wash the car</body> <list_id>2</list_id> <priority>3</priority> <complete_date>2007-11-01</complete_date> </item> </items> </request>

Example Response

<?xml version="1.0" encoding="UTF-8"?> <response> <status> <code>200</code> <message>Ok</message> </status> </response>

Status Codes

200 Ok 400 Bad Request